app.factory('auxiliosFactory', function ($http) {
    var url = '../api/auxilio/';
    var url2 = '../api/auxilioInvRepetidos/';
    return {
        devTotalInventarioIguais: function (info) {

            return $http.post(url, info);
        },
        updateDatas: function (info, dataNova) {
            

            return $http({
                cache: false,
                url: url+info.Pk_Inventario,
                method: "PUT",
                data: info,
                params: {
                    ndata: dataNova
                }
            })
        },

        corrigirDuplicacoes: function () {
            
            return $http({
                cache: false,
                url: url2,
                method: "POST"
            })
        },

        getDuplicacoes: function () {

            return $http({
                cache: false,
                url: url2,
                method: "GET"
            })
        },

        corrigirDuplicacoesAnos: function () {

            return $http({
                cache: false,
                url: '../api/auxilio/corrigeDuplicacaoAnos',
                method: "POST"
            })
        },
        corrigirClfuncional: function () {

            return $http({
                cache: false,
                url: '../api/auxilio/corrigeClfuncional',
                method: "POST"
            })
        },
        tratarDaNotificacao: function (info) {

            return $http({
                cache: false,
                data: info,
                url: '../api/auxilio/trataDaNotificacao',
                method: "POST"
            })
        },
    };
});